# https://files.pythonhosted.org/packages/a8/a4/2d745ab56032113bb8ade76fc2c37b159b24a5a0c68c4def88bc26ceaa97/lit-0.6.0.tar.gz
%global module lit

Name:           python-%{module}
Version:        14.0.0
Release:        %mkrel 1
Summary:        Tool for executing llvm test suites

License:        NCSA
Group:          Development/Python
URL:            https://pypi.python.org/pypi/lit
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-%{module}
Summary:        LLVM lit test runner for Python 3
Group:          Development/Python

%description -n python3-%{module}
lit is a tool used by the LLVM project for executing its test suites.

%prep
%setup -qn %{module}-%{version}
find * -iname \*.py -exec perl -pi -e 's:^#!.*:#!%{__python2}:g' {} \;
cp -a . %{py3dir}
find %{py3dir} -iname \*.py -exec perl -pi -e 's:^#!.*:#!%{__python3}:g' {} \;

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/%{module} %{buildroot}%{_bindir}/python3-%{module}
pushd %{buildroot}%{_bindir}
ln -sf python3-%{module} %{module}3
popd
popd
%py2_install

%files
%doc README.txt
%{_bindir}/%{module}
%{python2_sitelib}/*

%files -n python3-%{module}
%doc README.txt
%{_bindir}/%{module}3
%{_bindir}/python3-%{module}
%{python3_sitelib}/*

%changelog
* Sat Apr 09 2022 TerryN <terryn94 at gmail.com> 14.0.0-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 23 2018 marcin82 <fixxer1982 at gmail.com> 0.6.0-1pclos2018
- update

* Fri Apr 20 2018 bb2 <bb2> - 0.5.1-1pclos2018
- new version
